﻿<h3>Shopping Cart</h3>
<div>#/Items: {{ data.order.items.length }}</div>
<div>SubTotal: {{data.order.subtotal | currency:"EUR":true }}</div>
<table class="table table-condensed table-hover">
    <thead>
        <tr>
            <td>Product</td>
            <td>#</td>
            <td>€</td>
            <td>Total</td>
        </tr>
    </thead>
    <tbody>
        <tr *ngFor="let o of data.order.items">
            <td>{{ o.productTitle }}</td>
            <td>{{ o.quantity }}</td>
            <td>{{ o.unitPrice | currency:"EUR":true }}</td>
            <td>{{ o.unitPrice * o.quantity | currency:"EUR":true }}</td>
        </tr>
    </tbody>
</table>
<button routerLink="checkout" class="btn btn-success" *ngIf="data.order.item.length > 0" (click)="onCheckout()">Checkout</button>